<include file="public@header" />
<style type="text/css">
    .ban_area{
        padding: 10px 20px;
    }

    .ban_area p{
        padding-left: 10%;
        width: 50%;
        float: left;
    }

    .clearboth{
        clear: both;
    }

    .ban_btn_area{
        text-align: center;
    }

    .ban_btn_area input{
        margin-top: 15px;
        width: 40px;
        height: 25px;
    }
</style>
</head>
<body>
	<script src="__STATIC__/js/admin.js"></script>
	<script src="__STATIC__/home/js/socket.io.js"></script>
    <script src="__STATIC__/js/layer/layer.js"></script>
    
	<div class="wrap">
		<ul class="nav nav-tabs">
			<li class="active"><a >{:lang('MONITORING')}</a></li>
		</ul>
		<form method="post" class="js-ajax-form" >
            <table class="table table-hover table-bordered">
                <thead>
                    <tr>
                        <th>{:lang('HOST_ID')}</th>
                        <th>{:lang('HOST_NICKNAME')}</th>
                        <th>{:lang('LIVE_ID')}</th>
                        <th>{:lang('BROADCAST_START_TIME')}</th>
                        <th>{:lang('LIVE_DURATION')}</th>
                        <th>{:lang('LIVE_TYPE')}</th>
                        <th>{:lang('LIVE_CATEGORY')}</th>
                        <th>{:lang('ROOM_TYPE')}</th>
                        <th>{:lang('PASSWORD_PRICE')}</th>
                        <th>{:lang('LANDSCAPE_AND_PORTRAIT_SCREEN')}</th>
                        <th>{:lang('CHAT_ROOM_TYPE')}</th>
                        <th align="center">{:lang('ACTIONS')}</th>
                    </tr>
                </thead>
                <tbody>
                    <foreach name="lists" item="vo">
                    <tr>
                        <td>{$vo.uid}</td>
                        <td>{$vo['userinfo']['user_nickname']} </td>
                        <td>{$vo['showid']}</td>
                        <td>{:date('Y-m-d H:i',$vo['starttime'])}</td>
                        <td>{$vo['live_length']}</td>
                        <td><if condition="$vo['live_type'] eq 0">{:lang('VIDEO_LIVE_STREAMING')}<else/>{:lang('CHAT_ROOM')}</if></td>
                        <td>{$vo['liveclassname']}</td>
                        <td>{$type[$vo['type']]}</td>
                        <td>{$vo['type_val']}</td>
                        <td><if condition="$vo['anyway'] eq 0">{:lang('PORTRAIT_MODE')}<else/>{:lang('LANDSCAPE_MODE')}</if></td>
                        <td><if condition="$vo['live_type'] eq 0">---<else/><if condition="$vo['voice_type'] eq 0">{:lang('VOICE_CHAT')}<else/>{:lang('VIDEO_CHAT')}</if></if></td>
                        <td>
                            <a class="btn btn-xs btn-info view" data-uid="{$vo['uid']}" data-anyway="{$vo['anyway']}" data-livetype="{$vo['live_type']}">{:lang("CHECK")}
                            <if condition="$vo['live_type'] eq 0">{:lang('VIDEO_LIVE_STREAMING')}<else/>{:lang('CHAT_ROOM')}</if>
                            </a>
                            <a onclick="closeRoom('{$vo['uid']}')" class="btn btn-xs btn-warning">{:lang('OFF')}</a>
                            <a onclick="warning('<?php echo $vo['uid'];?>')" class="btn btn-xs btn-warning">{:lang('WARNING')}</a>
                            <a onclick="banRoom('<?php echo $vo['uid'];?>')" class="btn btn-xs btn-warning">{:lang('BAN')}</a>
                        </td>
                    </tr>
                    </foreach>
                </tbody>
            </table>

		</form>
        <div style="clear:both;"></div>
        <div class="pagination"  style="clear:both">{$page}</div>
	</div>

    <script type="text/javascript">
        var socket = new io("{$config['chatserver']}");

        function closeRoom(roomId){
            var data2 = {"token":"1234567","roomnum":roomId};
            $.ajax({
                async: false,
                url: '/admin/Monitor/stopRoom',
                data:{uid:roomId},
                dataType: "json",
                success: function(data){
                    console.log(data);
                    if(data.status ==0){
                        alert(data.info);
                    }else{
                        socket.emit("superadminaction",data2);
                        alert("{:lang('ROOM_CLOSED')}");
                        location.reload();
                    }
                },
                error:function(XMLHttpRequest, textStatus, errorThrown){
                    alert('{:lang("SHUT_DOWN_FAILED_PLEASE_TRY_AGAIN")}');
                }
            });
        }

        function warning(roomId){
            var data2 = {"token":"1234567","roomnum":roomId};
            socket.emit("warning",data2);
            layer.msg('{:lang("LIVE_ROOM")} '+roomId+' {:lang("WARNING_SUCCESS")}');
        }

        var ban_length='30min';

        function banRoom(roomId){

            layer.open({
              type: 1,
              title:'{:lang("ROOM")} '+roomId+' {:lang("BLOCK_TIME")}',
              skin: 'layui-layer-rim', //加上边框
              area: ['420px', '280px'], //宽高
              content: '<div class="ban_area">\
                            <p><label><input name="length" type="radio" checked="true" value="30min" onclick="changeBanLength(\'30min\')"/> 30{:lang("MINUTE")}</label></p>\
                            <p><label><input name="length" type="radio" value="1day" onclick="changeBanLength(\'1day\')"/> {:lang("ONE_DAY")}</label></p>\
                            <p><label><input name="length" type="radio" value="7day" onclick="changeBanLength(\'7day\')"/> {:lang("SEVEN_DAYS")}</label></p>\
                            <p><label><input name="length" type="radio" value="15day onclick="changeBanLength(\'15day\')""/> {:lang("FIFTEEN_DAYS")}</label></p>\
                            <p><label><input name="length" type="radio" value="30day" onclick="changeBanLength(\'30day\')"/> {:lang("THIRTY_DAYS")}</label></p>\
                            <p><label><input name="length" type="radio" value="90day" onclick="changeBanLength(\'90day\')"/> {:lang("NINETY_DAYS")}</label></p>\
                            <p><label><input name="length" type="radio" value="180day" onclick="changeBanLength(\'180day\')"/> {:lang("ONE_HUNDRED_EIGHTY_DAYS")}</label></p>\
                            <p><label><input name="length" type="radio" value="all" onclick="changeBanLength(\'all\')"/> {:lang("PERMANENT")}</label></p>\
                            <div class="clearboth"></div>\
                            <div class="ban_btn_area">\
                                <input type="button" onclick="banRoomSubmit('+roomId+')" value="{:lang("BAN")}" />\
                            </div>\
                        </div>'
            });
        }

        function changeBanLength(val){
            ban_length=val;
            layer.msg(ban_length);
        }

        function banRoomSubmit(roomId){
            var data2 = {"token":"1234567","roomnum":roomId};
            //询问框
            layer.confirm('{:lang("CONFIRM_BAN_THIS_LIVE_ROOM")}', {
              btn: ['{:lang("OK")}','{:lang("CANCEL")}'] //按钮
            }, function(){
               
              $.ajax({
                'type':'post',
                'url':'/admin/Monitor/banRoom',
                'data':{roomid:roomId,length:ban_length},
                'dataType':'json',
                'success':function(data){
                    var code=data.code;
                    var msg=data.msg;
                    if(code!=0){
                        layer.msg(msg);
                        return;
                    }

                    layer.msg(msg,{time:1000},function(){
                        layer.closeAll();
                        socket.emit("superadminaction",data2);
                        location.reload();
                    });
                    
                    return;
                },
                'error':function(e){
                    layer.msg('{:lang("THE_BAN_FAILED_PLEASE_TRY_AGAIN")}');
                    reutrn;
                }
              });
            }, function(){
              layer.close(layer.index);
            });
        }

        $('.view').click(function(){
                var _this=$(this);
                var uid=_this.data('uid');
                var anyway=_this.data('anyway');
                var livetype=_this.data('livetype');
                var width='0px',height='0px';
                //竖
                if(anyway==0){
                    width='500px';
                    height='840px';
                }else{
                    width='700px';
                    height='550px';
                }

                var title;

                if(livetype==0){
                    title="{:lang('VIEW_LIVE_VIDEO')}";
                }else{
                    title="{:lang('VIEW_CHAT_ROOM')}";
                }

                layer.open({
                    type: 2,
                    title: title,
                    shadeClose: false,
                    shade: 0.8,
                    area: [width, height],
                    content: '/admin/Monitor/play?uid='+uid
                }); 
                
            });
    </script>
</body>
</html>